local addon, _ = ...

local frame = CreateFrame("Frame", nil, UIParent)
frame:SetScript("OnEvent", function(this, event, ...)
  local arg1 = ...
  if arg1 == addon then
    local orig_UnitClassification = UnitClassification;
    UnitClassification = function(unit)
      if UnitIsPlayer(unit) then
        return "worldboss"
      end
      return orig_UnitClassification(unit)
    end
    self:UnregisterEvent("ADDON_LOADED")
  end
end)
frame:RegisterEvent("ADDON_LOADED")
